/* 
 * (c) 2015 - 2020 Juan Balderas
 * This file is part of Dibuja.

 * Dibuja is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * Dibuja is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Dibuja.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _COLOR_H_
	#define _COLOR_H_

#include <gtk/gtk.h>
#include <glib/gi18n.h>

#define N_BUTTONS (20)


#define __SCCOLOR_DEFINED__
typedef struct{
	double r, g, b, a;
}SCColor;

void color_init(GtkBuilder *builder, double fg[4], double bg[4]);
void color_edit_dialog(GtkWidget *w);
void
color_sccolor2rgba(SCColor *color, guchar *r, guchar *g, guchar *b, guchar *a);
void color_button_get_sccolor(GtkColorButton *button, SCColor *color);
void color_parse_str(SCColor *sccolor, const gchar *spec);

#endif
