/*
 * palette-color.h
 * 
 * (c) 2015 - 2020 Juan Balderas
 * This file is part of Dibuja.

 * Dibuja is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * Dibuja is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Dibuja.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef PALETTECOLOR_H_
#define PALETTECOLOR_H_ 1

#include <gtk/gtk.h>
#include <simple-canvas.h>

G_BEGIN_DECLS


#define PALETTE_TYPE_COLOR             (palette_color_get_type ())
#define PALETTE_COLOR(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj),   \
										PALETTE_TYPE_COLOR,                  \
										PaletteColor))
#define PALETTE_COLOR_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST ((klass),    \
										PALETTE_TYPE_COLOR,                  \
										PaletteColorClass))
#define PALETTE_IS_COLOR(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj),   \
										PALETTE_TYPE_COLOR))
#define PALETTE_IS_COLOR_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE ((klass),    \
										PALETTE_TYPE_COLOR))
#define PALETTE_COLOR_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS ((obj),    \
										PALETTE_TYPE_COLOR,                  \
										PaletteColorClass))

typedef struct _PaletteColor         PaletteColor;
typedef struct _PaletteColorClass    PaletteColorClass;
typedef struct _PaletteColorPrivate  PaletteColorPrivate;

struct _PaletteColor {
	GtkFrame parent;
	PaletteColorPrivate *priv;
};

struct _PaletteColorClass {
	GtkFrameClass parent_class;

	void (* color_selected)(PaletteColor *pc, gint button);
};

GType palette_color_get_type (void);

/*
#if GTK_MAJOR_VERSION  < 3
typedef struct {
	gdouble red;
	gdouble green;
	gdouble blue;
	gdouble alpha;
} SCColor;
#endif
*/
GtkWidget *palette_color_new (const char *colordesc);

void palette_color_get_color(PaletteColor *pc, SCColor *sccolor);
void palette_color_set_color(PaletteColor *pc, SCColor *color);
GtkWidget *palette_color_get_child(PaletteColor *pc);

G_END_DECLS

#endif /* PALETTECOLOR_H_ */
